Last Comment Bug 52183 - Webclient doesn't work on Linux.
: Webclient doesn't work on Linux.
Status: RESOLVED FIXED
:
Product: Core Graveyard
Classification: Graveyard
Component: Java APIs to WebShell (show other bugs)
: Trunk
: x86 Linux
: P3 normal (vote)
: ---
Assigned To: Ashu Kulkarni
: geetha.vaidyanaathan
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-11 15:08 PDT by edburns
Modified: 2012-04-09 22:27 PDT (History)
0 users
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
The fix(es) (6.50 KB, patch)
2000-09-12 16:19 PDT, Jason Mawsdsley
no flags Details | Diff | Splinter Review
The right fix(es) (2.53 KB, patch)
2000-09-12 16:21 PDT, Jason Mawsdsley
no flags Details | Diff | Splinter Review
The fix for the pack() (1002 bytes, patch)
2000-09-12 16:22 PDT, Jason Mawsdsley
no flags Details | Diff | Splinter Review

Description edburns 2000-09-11 15:08:52 PDT
Right now, webclient doesn't work on linux.
Comment 1 Ashu Kulkarni 2000-09-12 08:56:08 PDT
Will work out priority of this task with Ed/George and work on it.

_Accept

_Ashu
Comment 2 Jason Mawsdsley 2000-09-12 16:19:42 PDT
Created attachment 14538 [details] [diff] [review]
The fix(es)
Comment 3 Jason Mawsdsley 2000-09-12 16:21:35 PDT
Created attachment 14539 [details] [diff] [review]
The right fix(es)
Comment 4 Jason Mawsdsley 2000-09-12 16:22:16 PDT
Created attachment 14541 [details] [diff] [review]
The fix for the pack()
Comment 5 Jason Mawsdsley 2000-09-12 16:22:49 PDT
To build the current M4 of web client with M16 of Mozilla under linux please
do the following.
 
Apply the Makefile.diff patch.
Apply the Patch.diff patch.
Make sure you apply the patches in the root of the mozilla directory.

In the mozilla directory re-run ./configure --with-java-supplement
add $/mozilla/dist/classes to the CLASSPATH




Hope this helps!

Jason Mawdsley ( jason@macadamian.com ) 
Louis-Philippe Gagnon ( louisphilippe@macadamian.com ),
Macadamian Technologies.
Comment 6 Ashu Kulkarni 2000-09-14 17:23:47 PDT
Tested the patches submitted by Louis-Philippe and Jason and verified that they
dont break Solaris or Windows builds. Checked in the patches into cvs.

Thanks to Louis-Philippe and Jason, we now have Webclient working on linux. I
will wait for them to check out the checked in patch from cvs, verify that it
still builds/runs fine on Linux and then close this Bug.

_Ashu
Comment 7 Ashu Kulkarni 2000-09-15 11:17:44 PDT
Our friends from Macadamian Technologies report that the fix that went into cvs
yesterday, has Webclient working on Linux. Thanks for the help.

Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.